Subject: Re: ifdef's

From: David Hobley <[email-masked]>
Date: Mon, 01 Dec 1997 18:37:57 +1100

I think MSDOS was a hangover from an old port of Emacs to DOS. DOS_NT was
for the non  gui version of Emacs which I kept over. WINDOWSNT was my name
so I could remember which
bits of Geoff's code I had visited and which I hadn't.

In short we should probably keep WINDOWSNT and HAVE_MS_WINDOWS for O/S
stuff and Win32 GUI stuff respectively.

I _think_ we can delete MSDOS code and rename DOS_NT to WINDOWSNT.

At 21:32 30/11/97 -0500, Marc Paquette wrote:
>Let's ask principal porter of FSF Emacs on NT:
>
>Geoff, what's the difference intended between DOSNT and WINDOWSNT ?
>
>Hrvoje Niksic wrote:
>> 
>> I notice several different #ifdef styles in the sources:
>> 
>> #ifdef MSDOS
>> 
>> #ifdef DOSNT
>> #ifdef WINDOWSNT
>> 
>> #ifdef HAVE_MS_WINDOWS
>> 
>> The first style is traditional, the second ones seem to stem from
>> late-ish FSF sources (maybe from Ben's v19.30 synch), and the third
>> one is ours.
>> 
>> Which one should we use?  I think it's important to have some sort of
>> consistency, so we don't go insane!
>
>I beleive that we could do the same thing with MSDOS specific code that
>we did for VMS code, i.e. remove it completly.  Or will that compromise
>running on Windows95 ?
>
>HAVE_MS_WINDOWS is akin to HAVE_X_WINDOWS, i.e. it is window-system
>specific, so it ought to be a different define that for os-specific
>things.
>
>> 
>> --
>> Hrvoje Niksic <[email-masked]> | Student at FER Zagreb, Croatia
>> --------------------------------+--------------------------------
>> Speak softly and carry a +6 two-handed sword.
>
>-- 
>Marc Paquette
>[email-masked]
>
--
Cheers,
david			http://www.angelfire.com/wa/hobley